KAPhotoservice 多个跨站脚本攻击(XSS)漏洞

QQ空间 新浪微博 微信 QQ facebook twitter
漏洞ID 1110429 漏洞类型 跨站脚本
发布时间 2006-06-09 更新时间 2006-10-30
CVE编号 CVE-2006-2955 CNNVD-ID CNNVD-200606-235
漏洞平台 ASP CVSS评分 4.3
|漏洞来源
https://www.exploit-db.com/exploits/28004
http://www.cnnvd.org.cn/web/xxk/ldxqById.tag?CNNVD=CNNVD-200606-235
|漏洞详情
KAPhotoservice7.5及更早版本存在多个跨站脚本攻击(XSS)漏洞,远程攻击者可通过给(a)edtalbum.asp的(1)NewCategory(newcategory)或(2)apage参数,或者传给(b)album.asp的(3)cat或(4)albumid参数来注入任意Web脚本或HTML。
|漏洞EXP
source: http://www.securityfocus.com/bid/18379/info
  
KAPhotoservice is prone to multiple cross-site scripting vulnerabilities because it fails to properly sanitize user-supplied input.
  
An attacker may leverage these issues to have arbitrary script code execute in the browser of an unsuspecting user in the context of the affected site. This may help the attacker steal cookie-based authentication credentials and launch other attacks.
  
These issues affect version 7.5; earlier versions may also be vulnerable.

http://www.example.com/edtalbum.asp?cat=&albumid=1&apage=[XSS]
|参考资料

来源:BID
名称:18379
链接:http://www.securityfocus.com/bid/18379
来源:OSVDB
名称:26276
链接:http://www.osvdb.org/26276
来源:OSVDB
名称:26275
链接:http://www.osvdb.org/26275
来源:VUPEN
名称:ADV-2006-2251
链接:http://www.frsirt.com/english/advisories/2006/2251
来源:SECTRACK
名称:1016253
链接:http://securitytracker.com/id?1016253
来源:SECUNIA
名称:20521
链接:http://secunia.com/advisories/20521
来源:XF
名称:kaphotoservice-multiple-xss(27073)
链接:http://xforce.iss.net/xforce/xfdb/27073
来源:MISC
链接:http://pridels0.blogspot.com/2006/06/kaphotoservice-75-vuln.html